<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/>
  </startup>
  <appSettings>
    <add key="appName" value="MTConnect Adapter DB"/>
    <!--obbligatorio x dump compilato su 7879...-->
    <add key="portMTC" value="7879"/>
    <add key="recTime" value="true"/>
    <add key="verbose" value="true"/>
    <!--gestione TIMERS-->
    <add key="startTimerMs" value="250"/>
    <!--invio da adapter ad agent: 10ms-->
    <add key="timerIntMs" value="10"/>
    <!--0.2 sec-->
    <add key="fastCount" value="20"/>
    <!--0.5 sec-->
    <add key="normCount" value="50"/>
    <!--60 sec-->
    <add key="slowCount" value="600"/>
    <!--2 min-->
    <add key="verySlowCount" value="1200"/>
    <!--parametri gestione watchdog-->
    <add key="maxAdapterLockSec" value="5"/>
    <!--conf file-->
    <add key="dataPath" value="DATA"/>
    <add key="dataConfPath" value="DATA\CONF"/>
    <add key="dataDatPath" value="DATA\DAT"/>
    <add key="resxPath" value="Resources"/>
    <add key="defaultPersLayerFile" value="PersistData.dat"/>
    <add key="maxNumDD" value="30"/>
    <!--Definizione avvio Adapter-->
    <add key="autoStartOnLoad" value="true"/>
    <add key="openDumpOnStart" value="true"/>
    <add key="startMinimized" value="false"/>
    <add key="windowCanMax" value="true"/>
    <add key="trayClose" value="true"/>
    <add key="autoSaveSec" value="60"/>
    <add key="waitRecMSec" value="5000"/>
    <add key="testCharSep" value="|"/>
    <!--CONF DB-->
    <add key="ServerType" value="MySQL"/>
    <add key="ServerAddress" value="10.74.82.62"/>
    <add key="DbName" value="savenergy"/>
    <add key="DbUser" value="root"/>
    <add key="DbPwd" value="scmgroup"/>
    <add key="numRetryConnDb" value="10"/>
    
  </appSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="lib;libs"/>
    </assemblyBinding>
  </runtime>
<system.data>
    <DbProviderFactories>
      <remove invariant="MySql.Data.MySqlClient"/>
      <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient" description=".Net Framework Data Provider for MySQL" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d"/>
    </DbProviderFactories>
  </system.data></configuration>